tests build for UNIX/Linux
[public/netxms.git] / tests / test-libnetxms / test-libnetxms
1 #! /bin/bash
2
3 # test-libnetxms - temporary wrapper script for .libs/test-libnetxms
4 # Generated by libtool (GNU libtool) 2.4.2 Debian-2.4.2-1.1
5 #
6 # The test-libnetxms program cannot be directly executed until all the libtool
7 # libraries that it depends on are installed.
8 #
9 # This wrapper script should never be moved out of the build directory.
10 # If it is, it will not operate correctly.
11
12 # Sed substitution that helps us do robust quoting. It backslashifies
13 # metacharacters that are still active within double-quoted strings.
14 sed_quote_subst='s/\([`"$\\]\)/\\\1/g'
15
16 # Be Bourne compatible
17 if test -n "${ZSH_VERSION+set}" && (emulate sh) >/dev/null 2>&1; then
18 emulate sh
19 NULLCMD=:
20 # Zsh 3.x and 4.x performs word splitting on ${1+"$@"}, which
21 # is contrary to our usage. Disable this feature.
22 alias -g '${1+"$@"}'='"$@"'
23 setopt NO_GLOB_SUBST
24 else
25 case `(set -o) 2>/dev/null` in *posix*) set -o posix;; esac
26 fi
27 BIN_SH=xpg4; export BIN_SH # for Tru64
28 DUALCASE=1; export DUALCASE # for MKS sh
29
30 # The HP-UX ksh and POSIX shell print the target directory to stdout
31 # if CDPATH is set.
32 (unset CDPATH) >/dev/null 2>&1 && unset CDPATH
33
34 relink_command="(cd /root/netxms/tests/test-libnetxms; { test -z \"\${LIBRARY_PATH+set}\" || unset LIBRARY_PATH || { LIBRARY_PATH=; export LIBRARY_PATH; }; }; { test -z \"\${COMPILER_PATH+set}\" || unset COMPILER_PATH || { COMPILER_PATH=; export COMPILER_PATH; }; }; { test -z \"\${GCC_EXEC_PREFIX+set}\" || unset GCC_EXEC_PREFIX || { GCC_EXEC_PREFIX=; export GCC_EXEC_PREFIX; }; }; { test -z \"\${LD_RUN_PATH+set}\" || unset LD_RUN_PATH || { LD_RUN_PATH=; export LD_RUN_PATH; }; }; { test -z \"\${LD_LIBRARY_PATH+set}\" || unset LD_LIBRARY_PATH || { LD_LIBRARY_PATH=; export LD_LIBRARY_PATH; }; }; PATH=/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin; export PATH; g++ -g -O2 -fno-rtti -fno-exceptions -o \$progdir/\$file test_libnetxms-test-libnetxms.o -L/usr/local/mysql/lib -L/usr/lib64/mysql -L/usr/lib/mysql -L/usr/mysql/lib -L/usr/local/lib/mysql -L/usr/local/mysql/lib/mysql -L/usr/mysql/lib/mysql -L/usr/local/pgsql/lib -L/usr/lib64/pgsql -L/usr/lib/pgsql -L/usr/pgsql/lib -L/usr/local/lib/pgsql -L/usr/local/pgsql/lib/pgsql -L/usr/pgsql/lib/pgsql -L/usr/local/postgresql/lib -L/usr/lib/postgresql -L/usr/postgresql/lib -L/usr/local/lib/postgresql -L/usr/local/postgresql/lib/postgresql -L/usr/postgresql/lib/postgresql -L/usr/local/lib ../../src/libnetxms/.libs/libnetxms.so ../../src/libtre/.libs/libnxtre.so -lm -lresolv /usr/lib/x86_64-linux-gnu/libexpat.so -lz -ldl -lpthread -lcrypto -Wl,-rpath -Wl,/root/netxms/src/libnetxms/.libs -Wl,-rpath -Wl,/root/netxms/src/libtre/.libs)"
35
36 # This environment variable determines our operation mode.
37 if test "$libtool_install_magic" = "%%%MAGIC variable%%%"; then
38 # install mode needs the following variables:
39 generated_by_libtool_version='2.4.2'
40 notinst_deplibs=' ../../src/libnetxms/libnetxms.la ../../src/libtre/libnxtre.la'
41 else
42 # When we are sourced in execute mode, $file and $ECHO are already set.
43 if test "$libtool_execute_magic" != "%%%MAGIC variable%%%"; then
44 file="$0"
45
46 # A function that is used when there is no print builtin or printf.
47 func_fallback_echo ()
48 {
49 eval 'cat <<_LTECHO_EOF
50 $1
51 _LTECHO_EOF'
52 }
53 ECHO="printf %s\\n"
54 fi
55
56 # Very basic option parsing. These options are (a) specific to
57 # the libtool wrapper, (b) are identical between the wrapper
58 # /script/ and the wrapper /executable/ which is used only on
59 # windows platforms, and (c) all begin with the string --lt-
60 # (application programs are unlikely to have options which match
61 # this pattern).
62 #
63 # There are only two supported options: --lt-debug and
64 # --lt-dump-script. There is, deliberately, no --lt-help.
65 #
66 # The first argument to this parsing function should be the
67 # script's ../../libtool value, followed by no.
68 lt_option_debug=
69 func_parse_lt_options ()
70 {
71 lt_script_arg0=$0
72 shift
73 for lt_opt
74 do
75 case "$lt_opt" in
76 --lt-debug) lt_option_debug=1 ;;
77 --lt-dump-script)
78 lt_dump_D=`$ECHO "X$lt_script_arg0" | /bin/sed -e 's/^X//' -e 's%/[^/]*$%%'`
79 test "X$lt_dump_D" = "X$lt_script_arg0" && lt_dump_D=.
80 lt_dump_F=`$ECHO "X$lt_script_arg0" | /bin/sed -e 's/^X//' -e 's%^.*/%%'`
81 cat "$lt_dump_D/$lt_dump_F"
82 exit 0
83 ;;
84 --lt-*)
85 $ECHO "Unrecognized --lt- option: '$lt_opt'" 1>&2
86 exit 1
87 ;;
88 esac
89 done
90
91 # Print the debug banner immediately:
92 if test -n "$lt_option_debug"; then
93 echo "test-libnetxms:test-libnetxms:${LINENO}: libtool wrapper (GNU libtool) 2.4.2 Debian-2.4.2-1.1" 1>&2
94 fi
95 }
96
97 # Used when --lt-debug. Prints its arguments to stdout
98 # (redirection is the responsibility of the caller)
99 func_lt_dump_args ()
100 {
101 lt_dump_args_N=1;
102 for lt_arg
103 do
104 $ECHO "test-libnetxms:test-libnetxms:${LINENO}: newargv[$lt_dump_args_N]: $lt_arg"
105 lt_dump_args_N=`expr $lt_dump_args_N + 1`
106 done
107 }
108
109 # Core function for launching the target application
110 func_exec_program_core ()
111 {
112
113 if test -n "$lt_option_debug"; then
114 $ECHO "test-libnetxms:test-libnetxms:${LINENO}: newargv[0]: $progdir/$program" 1>&2
115 func_lt_dump_args ${1+"$@"} 1>&2
116 fi
117 exec "$progdir/$program" ${1+"$@"}
118
119 $ECHO "$0: cannot exec $program $*" 1>&2
120 exit 1
121 }
122
123 # A function to encapsulate launching the target application
124 # Strips options in the --lt-* namespace from $@ and
125 # launches target application with the remaining arguments.
126 func_exec_program ()
127 {
128 case " $* " in
129 *\ --lt-*)
130 for lt_wr_arg
131 do
132 case $lt_wr_arg in
133 --lt-*) ;;
134 *) set x "$@" "$lt_wr_arg"; shift;;
135 esac
136 shift
137 done ;;
138 esac
139 func_exec_program_core ${1+"$@"}
140 }
141
142 # Parse options
143 func_parse_lt_options "$0" ${1+"$@"}
144
145 # Find the directory that this script lives in.
146 thisdir=`$ECHO "$file" | /bin/sed 's%/[^/]*$%%'`
147 test "x$thisdir" = "x$file" && thisdir=.
148
149 # Follow symbolic links until we get to the real thisdir.
150 file=`ls -ld "$file" | /bin/sed -n 's/.*-> //p'`
151 while test -n "$file"; do
152 destdir=`$ECHO "$file" | /bin/sed 's%/[^/]*$%%'`
153
154 # If there was a directory component, then change thisdir.
155 if test "x$destdir" != "x$file"; then
156 case "$destdir" in
157 [\\/]* | [A-Za-z]:[\\/]*) thisdir="$destdir" ;;
158 *) thisdir="$thisdir/$destdir" ;;
159 esac
160 fi
161
162 file=`$ECHO "$file" | /bin/sed 's%^.*/%%'`
163 file=`ls -ld "$thisdir/$file" | /bin/sed -n 's/.*-> //p'`
164 done
165
166 # Usually 'no', except on cygwin/mingw when embedded into
167 # the cwrapper.
168 WRAPPER_SCRIPT_BELONGS_IN_OBJDIR=no
169 if test "$WRAPPER_SCRIPT_BELONGS_IN_OBJDIR" = "yes"; then
170 # special case for '.'
171 if test "$thisdir" = "."; then
172 thisdir=`pwd`
173 fi
174 # remove .libs from thisdir
175 case "$thisdir" in
176 *[\\/].libs ) thisdir=`$ECHO "$thisdir" | /bin/sed 's%[\\/][^\\/]*$%%'` ;;
177 .libs ) thisdir=. ;;
178 esac
179 fi
180
181 # Try to get the absolute directory name.
182 absdir=`cd "$thisdir" && pwd`
183 test -n "$absdir" && thisdir="$absdir"
184
185 program=lt-'test-libnetxms'
186 progdir="$thisdir/.libs"
187
188 if test ! -f "$progdir/$program" ||
189 { file=`ls -1dt "$progdir/$program" "$progdir/../$program" 2>/dev/null | /bin/sed 1q`; \
190 test "X$file" != "X$progdir/$program"; }; then
191
192 file="$$-$program"
193
194 if test ! -d "$progdir"; then
195 mkdir "$progdir"
196 else
197 rm -f "$progdir/$file"
198 fi
199
200 # relink executable if necessary
201 if test -n "$relink_command"; then
202 if relink_command_output=`eval $relink_command 2>&1`; then :
203 else
204 printf %s\n "$relink_command_output" >&2
205 rm -f "$progdir/$file"
206 exit 1
207 fi
208 fi
209
210 mv -f "$progdir/$file" "$progdir/$program" 2>/dev/null ||
211 { rm -f "$progdir/$program";
212 mv -f "$progdir/$file" "$progdir/$program"; }
213 rm -f "$progdir/$file"
214 fi
215
216 if test -f "$progdir/$program"; then
217 if test "$libtool_execute_magic" != "%%%MAGIC variable%%%"; then
218 # Run the actual program with our arguments.
219 func_exec_program ${1+"$@"}
220 fi
221 else
222 # The program doesn't exist.
223 $ECHO "$0: error: \`$progdir/$program' does not exist" 1>&2
224 $ECHO "This script is just a wrapper for $program." 1>&2
225 $ECHO "See the libtool documentation for more information." 1>&2
226 exit 1
227 fi
228 fi